Package com.logicaldoc.core.document

# Class DuplicateDocumentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.document.DuplicateDocumentException

All Implemented Interfaces:
  `Serializable`

public class DuplicateDocumentException extends Exception
Used to declare a duplicated insert

Since:
  6.8
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DuplicateDocumentException(String customId)`
`DuplicateDocumentException(String customId, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCustomId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuplicateDocumentException

public DuplicateDocumentException(String customId, Throwable cause)

### DuplicateDocumentException

public DuplicateDocumentException(String customId)

## Method Details

### getCustomId

public String getCustomId()